﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 3052: (1 year) VER VISA /5820A+5Ch
DATE:                  2010-07-28 15:12:50
AUTHOR:                Fluke
REVISION:              $Revision: 18562 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       170
CONFIGURATION:         Fluke 5820A (C5)
=============================================================================
#
#  Procedure Author:
#        ZY
# 
#  Models covered:
#        TDS 3052
# 
#  Source(s):
#        TDS3000 Series Digital Phosphor Oscilloscopes Service Manual,
#        071-0382-01, supports firmware version 2.0 and above
# 
#  Compatibility:
#        MET/CAL 7.3.38 or later
#
#  Subprocedures:
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub Select Guardbanding & Ver Method (No NTHROW)
#        Sub IEEE-488.2 Identification Query VISA
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub Tek TDS3000 Ethernet Interface Connection
#        Sub Tek TDS3000 Check Firmware Version
#        Sub Tek TDS3000 Set Bandwidth & Number of Channels
#        Sub Tek TDS3000 Self-Test VISA
#        Sub Tek TDS3000 Signal Path Compensation Cal VISA
#        Sub Tek TDS3000 (1 yr) DCV VISA /5800
#        Sub Tek TDS3000 (1 yr) Bandwidth VISA /5800
#        Sub Tek TDS3000 (1 yr) Trig Sens VISA /5800
#        Sub Tek TDS3000 (1 yr) Sample Rate VISA /5800
#        Sub Tek TDS3000 Select Channel VISA
#        Sub Tek TDS3000 Trigger Check and Level Adjust VISA
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        Tektronix TDS3EM Ethernet Communication Module
#
# The procedure was tested using:
#        Model No  :
#        Serial No :
#        Options   :
#        Firmware  :
#
# Average run time during testing :
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  M5820                                                    C2
  1.003  5820         500MH                        1Vpp           LS S6 S  L
  1.004  ENDIF

  1.005  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.006  ASK+           K

  1.007  IF           NOT(VERSIONCHECK("7.3.38"))
  1.008  END
  1.009  ENDIF

  1.010  CALL         Sub Display Copyright
  1.011  CALL         Sub High Voltage Safety Warning
  1.012  CALL         Sub Select Failed Test Mode
  1.013  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.014  HEAD         PRELIMINARY INSTRUCTIONS
  1.015  TARGET
  1.016  DISP         Ensure a minimum UUT warm-up time of at least
  1.016  DISP         20 minutes has been allowed to elapse, prior
  1.016  DISP         to beginning verification.

  1.017  CALL         Sub Tek TDS3000 Ethernet Interface Connection
  1.018  JMPL         END                              @Abort

  1.019  VISA         *RST

  1.020  HEAD         UUT IDENTIFICATION
  1.021  CALL         Sub IEEE-488.2 Identification Query VISA

  1.022  MATH         @UUT_Manufacturer = "Tektronix"
  1.023  MATH         @UUT_Model        = "TDS 3052"
  1.024  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.025  JMPL         END                           @Abort

  1.026  CALL         Sub Tek TDS3000 Check Firmware Version
  1.027  JMPL         END                           @Abort

  1.028  CALL         Sub Tek TDS3000 Set Bandwidth & Number of Channels
  1.029  CALL         Sub Tek TDS3000 Signal Path Compensation Cal VISA
  1.030  JMPL         END                           @Abort

  1.031  CALL         Sub Tek TDS3000 Self-Test VISA
  1.032  JMPL         END                           @Abort

  1.033  DISP         Connect the 58xxA to the UUT as follows:
  1.033  DISP
  1.033  DISP         [32] Connect the 58xxA CHAN 1 to the UUT CH 1.
  1.033  DISP         [32] Connect the 58xxA CHAN 2 to the UUT CH 2.

  1.034  MATH         @Chan = 1
  1.035  M5800                                                    C1
  1.036  CALL         Sub Tek TDS3000 (1 yr) DCV VISA /5800

  1.037  MATH         @Chan = 2
  1.038  M5800                                                    C2
  1.039  CALL         Sub Tek TDS3000 (1 yr) DCV VISA /5800

  1.040  MATH         @Chan = 1
  1.041  M5800                                                    C1
  1.042  CALL         Sub Tek TDS3000 (1 yr) Bandwidth VISA /5800

  1.043  MATH         @Chan = 2
  1.044  M5800                                                    C2
  1.045  CALL         Sub Tek TDS3000 (1 yr) Bandwidth VISA /5800

  1.046  MATH         @Chan = 1
  1.047  M5800                                                    C1
  1.048  CALL         Sub Tek TDS3000 (1 yr) Trig Sens VISA /5800

  1.049  MATH         @Chan = 2
  1.050  M5800                                                    C2
  1.051  CALL         Sub Tek TDS3000 (1 yr) Trig Sens VISA /5800

  1.052  MATH         @Chan = 1
  1.053  M5800                                                    C1
  1.054  CALL         Sub Tek TDS3000 (1 yr) Sample Rate VISA /5800

  1.055  LABEL        END
  1.056  HEAD         -2

  1.057  IF           @Abort
  1.058  HEAD         V E R I F I C A T I O N   A B O R T E D !
  1.059  ELSE
  1.060  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.061  ENDIF

  1.062  END
